"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _defaultProps = _interopRequireDefault(require("../defaultProps"));

var _defaultPropTypes = _interopRequireDefault(require("../defaultPropTypes"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = _interopRequireDefault(require("lodash.pick"));

var _lodash2 = _interopRequireDefault(require("lodash.xor"));

var _lodash3 = _interopRequireDefault(require("lodash.omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var pickProperties = ["width", "height", "strokeClassName", "fillClassName", "colorLabelClassName", "colorStyle"];
var excludeProperties = (0, _lodash2.default)(Object.keys(_defaultProps.default), pickProperties);
var DEFAULT_PROPS = (0, _lodash.default)(_defaultProps.default, pickProperties);
var DEFAULT_PROPTYPES = (0, _lodash.default)(_defaultPropTypes.default, pickProperties);

var Background =
/*#__PURE__*/
function (_Component) {
  _inherits(Background, _Component);

  function Background() {
    _classCallCheck(this, Background);

    return _possibleConstructorReturn(this, _getPrototypeOf(Background).apply(this, arguments));
  }

  _createClass(Background, [{
    key: "render",
    value: function render() {
      var _omit = (0, _lodash3.default)(this.props, excludeProperties),
          strokeClassName = _omit.strokeClassName,
          fillClassName = _omit.fillClassName,
          colorLabelClassName = _omit.colorLabelClassName,
          colorStyle = _omit.colorStyle,
          rest = _objectWithoutProperties(_omit, ["strokeClassName", "fillClassName", "colorLabelClassName", "colorStyle"]);

      return _react.default.createElement("svg", _extends({}, rest, {
        viewBox: "0 0 18 18"
      }), _react.default.createElement("g", {
        className: (0, _classnames.default)(fillClassName, colorLabelClassName),
        style: colorStyle
      }, _react.default.createElement("polygon", {
        points: "6 6.868 6 6 5 6 5 7 5.942 7 6 6.868"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "4",
        y: "4"
      }), _react.default.createElement("polygon", {
        points: "6.817 5 6 5 6 6 6.38 6 6.817 5"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "2",
        y: "6"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "3",
        y: "5"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "4",
        y: "7"
      }), _react.default.createElement("polygon", {
        points: "4 11.439 4 11 3 11 3 12 3.755 12 4 11.439"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "2",
        y: "12"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "2",
        y: "9"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "2",
        y: "15"
      }), _react.default.createElement("polygon", {
        points: "4.63 10 4 10 4 11 4.192 11 4.63 10"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "3",
        y: "8"
      }), _react.default.createElement("path", {
        d: "M10.832,4.2L11,4.582V4H10.708A1.948,1.948,0,0,1,10.832,4.2Z"
      }), _react.default.createElement("path", {
        d: "M7,4.582L7.168,4.2A1.929,1.929,0,0,1,7.292,4H7V4.582Z"
      }), _react.default.createElement("path", {
        d: "M8,13H7.683l-0.351.8a1.933,1.933,0,0,1-.124.2H8V13Z"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "12",
        y: "2"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "11",
        y: "3"
      }), _react.default.createElement("path", {
        d: "M9,3H8V3.282A1.985,1.985,0,0,1,9,3Z"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "2",
        y: "3"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "6",
        y: "2"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "3",
        y: "2"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "5",
        y: "3"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "9",
        y: "2"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "15",
        y: "14"
      }), _react.default.createElement("polygon", {
        points: "13.447 10.174 13.469 10.225 13.472 10.232 13.808 11 14 11 14 10 13.37 10 13.447 10.174"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "13",
        y: "7"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "15",
        y: "5"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "14",
        y: "6"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "15",
        y: "8"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "14",
        y: "9"
      }), _react.default.createElement("path", {
        d: "M3.775,14H3v1H4V14.314A1.97,1.97,0,0,1,3.775,14Z"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "14",
        y: "3"
      }), _react.default.createElement("polygon", {
        points: "12 6.868 12 6 11.62 6 12 6.868"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "15",
        y: "2"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "12",
        y: "5"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "13",
        y: "4"
      }), _react.default.createElement("polygon", {
        points: "12.933 9 13 9 13 8 12.495 8 12.933 9"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "9",
        y: "14"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "8",
        y: "15"
      }), _react.default.createElement("path", {
        d: "M6,14.926V15H7V14.316A1.993,1.993,0,0,1,6,14.926Z"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "5",
        y: "15"
      }), _react.default.createElement("path", {
        d: "M10.668,13.8L10.317,13H10v1h0.792A1.947,1.947,0,0,1,10.668,13.8Z"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "11",
        y: "15"
      }), _react.default.createElement("path", {
        d: "M14.332,12.2a1.99,1.99,0,0,1,.166.8H15V12H14.245Z"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "14",
        y: "15"
      }), _react.default.createElement("rect", {
        height: "1",
        width: "1",
        x: "15",
        y: "11"
      })), _react.default.createElement("polyline", {
        className: strokeClassName,
        points: "5.5 13 9 5 12.5 13"
      }), _react.default.createElement("line", {
        className: strokeClassName,
        x1: "11.63",
        x2: "6.38",
        y1: "11",
        y2: "11"
      }));
    }
  }]);

  return Background;
}(_react.Component);

exports.default = Background;

_defineProperty(Background, "defaultProps", DEFAULT_PROPS);

_defineProperty(Background, "propTypes", DEFAULT_PROPTYPES);